#include<iostream.h>
#include<iomanip.h>
 int main()
{
 const int N=30;
 int a[N][5],i,j,max[5];
 float aver[5];
 cout<<"请输入所有学生各门课程的成绩："<<endl;
 for(i=0;i<N;i++)
  for(j=0;j<5;j++)
   cin>>a[i][j];
 for(i=0;i<5;i++)
{
  aver[i]=a[0][i];
  max[i]=a[0][i];
}
 for(i=1;i<N;i++)
  for(j=0;j<5;j++)
 {
   aver[j]+=a[i][j];
   if(max[j]<a[i][j])
    max[j]=a[i][j];
 }
 for(i=0;i<5;i++)
  cout<<"第"<<i+1<<"门课最高分是"<<max[i]<<",平均成绩是"
      <<setw(5)<<setprecision(3)<<aver[i]/N<<endl;
 return(0);
}
